Protocol::Connection::INETSocket(3)

NAME
X11::Protocol::Connection::INETSocket - Perl module for IO::Socket::INET-based X11 connections

SYNOPSIS
  use X11::Protocol;
  use X11::Protocol::Connection::INETSocket;
  $conn = X11::Protocol::Connection::INETSocket
    ->open($host, $display_number);
  $x = X11::Protocol->new($conn);

DESCRIPTION
This module is used by X11::Protocol to establish a connection and communicate with a server over a TCP/IP connection, using the IO::Socket::INET module.

AUTHOR
Stephen McCamant <SMCCAM@cpan.org>.

SEE ALSO
perl(1), X11::Protocol, X11::Protocol::Connection::Socket, X11::Protocol::Connection::UNIXSocket, IO::Socket.